org.apache.hadoop.hdfs.protocol

## Enum HdfsFileStatus.Flags

- java.lang.Object
- - java.lang.Enum<HdfsFileStatus.Flags>
  - - org.apache.hadoop.hdfs.protocol.HdfsFileStatus.Flags

- All Implemented Interfaces:
    Serializable, Comparable<HdfsFileStatus.Flags>
  Enclosing interface:
    org.apache.hadoop.hdfs.protocol.HdfsFileStatus

      public static enum HdfsFileStatus.Flags
      extends Enum<HdfsFileStatus.Flags>

  Set of features potentially active on an instance.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HAS_ACL`
    `HAS_CRYPT`
    `HAS_EC`
    `SNAPSHOT_ENABLED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HdfsFileStatus.Flags` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HdfsFileStatus.Flags[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HAS_ACL

          public static final HdfsFileStatus.Flags HAS_ACL

    - #### HAS_CRYPT

          public static final HdfsFileStatus.Flags HAS_CRYPT

    - #### HAS_EC

          public static final HdfsFileStatus.Flags HAS_EC

    - #### SNAPSHOT_ENABLED

          public static final HdfsFileStatus.Flags SNAPSHOT_ENABLED

  - ### Method Detail

    - #### values

          public static HdfsFileStatus.Flags[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HdfsFileStatus.Flags c : HdfsFileStatus.Flags.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HdfsFileStatus.Flags valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.